/*
	Feel free to use your custom icons for the tree. Make sure they are all of the same size.
	User icons collections are welcome, we'll publish them giving all regards.
*/

var TREE_TPL = {

	// general
	'target'  : 'mainFrame',// name of the frame links will be opened in
							// other possible values are:
							// _blank, _parent, _search, _self and _top
	
	'cookie_path':'/',
	'cookie_expire':'',

   	// icons - root	
	'icon_48' : 'icons/empty1.gif',   // root icon normal
	'icon_52' : 'icons/empty1.gif',   // root icon selected
	'icon_56' : 'icons/empty1.gif',   // root icon opened
	'icon_60' : 'icons/empty1.gif',   // root icon selected

	// icons - node	
	'icon_16':'icons/empty1.gif', // node icon normal
	'icon_20':'icons/empty1.gif', // node icon selected
	'icon_24':'icons/empty1.gif', // node icon opened
	'icon_28':'icons/empty1.gif', // node icon selected opened

	'icon_80':'icons/empty1.gif', // mouseovered node icon normal

	// icons - leaf
	'icon_0':'icons/empty1.gif', // leaf icon normal
	'icon_4':'icons/empty1.gif', // leaf icon selected
	// icons - junctions	
	'icon_2'  : 'icons/o.gif', // junction for leaf
	'icon_3'  : 'icons/o.gif',       // junction for last leaf
	'icon_18' : 'icons/plus.gif', // junction for closed node
	'icon_19' : 'icons/plus.gif',       // junctioin for last closed node
	'icon_26' : 'icons/minus.gif',// junction for opened node
	'icon_27' : 'icons/minus.gif',       // junctioin for last opended node

	// icons - misc
	'icon_e'  : 'icons/empty.gif', // empty image
	'icon_l'  : 'icons/empty.gif',  // vertical line
	
	// styles - root
	'style_48':'mout', // normal root caption style
	'style_52':'smout', // selected root catption style
	'style_56':'mout', // opened root catption style
	'style_60':'smout', // selected opened root catption style
	'style_112':'mover', // mouseovered normal root caption style
	'style_116':'smover', // mouseovered selected root catption style
	'style_120':'mover', // mouseovered opened root catption style
	'style_124':'smover', // mouseovered selected opened root catption style
	
	// styles - node
	'style_16':'mout', // normal node caption style
	'style_20':'smout', // selected node catption style
	'style_24':'mout', // opened node catption style
	'style_28':'smout', // selected opened node catption style
	'style_80':'mover', // mouseovered normal node caption style
	'style_84':'smover', // mouseovered selected node catption style
	'style_88':'mover', // mouseovered opened node catption style
	'style_92':'smover', // mouseovered selected opened node catption style

	// styles - leaf
	'style_0':'mout', // normal leaf caption style
	'style_4':'smout', // selected leaf catption style
	'style_64':'mover', // mouseovered normal leaf caption style
	'style_68':'smover', // mouseovered selected leaf catption style

        // event handlers - item
	'onItemSelect':'onItemSelectHandler'


	// make sure there is no comma after the last key-value pair

};

/* 
	This function modifies tree behavior so nodes without link
	assigned will open on single click
	Function should be called AS onItemSelect handler of the tree
*/

function onItemSelectHandler (o_item) {
	// if node with no link then toggle
    if (o_item.a_config[3] && !o_item.a_config[1]) {
		o_item.o_root.toggle(o_item.n_id);
		// cancel default action
		return false;
	}
	// proceed to default handler
	return true;
}



function onItemOpenHandler (o_item) {
	window.parent.location.href = o_item.a_config[1];
  	return false;
	
}
